xlsx2csv(1)

NAME
xlsx2csv - Convert xlsx xml files to csv format

SYNOPSIS
  xlsx2csv [options] INFILE [OUTPUT FILE]

DESCRIPTION
The conversion uses Expat SAX parser for xml processing.

STDIN
Use "-" for INFILE to read from the STDIN.

OPTIONS

-d DELIMITER, --delimiter=DELIMITER
    Output csv columns delimiter. Use "tab" or "x09" for tab. Defaults to comma.

-f DATEFORMAT, --dateformat=DATEFORMAT
    Set date/time format. See strftime(3) for %-format specifiers. An example "%Y-%m-%d".

-i, --ignoreempty
    Skip empty lines.

-p SHEETDELIMITER, --sheetdelimiter=SHEETDELIMITER
    Sheet delimiter used to separate sheets, pass "" if you don't want delimiters. DEfaults to "--------".

-q QUOTING, --quoting=QUOTING
    Output csv fields quoting. Use "none" "minimal" "nonnumeric" or "all". Defaults to none.

-r, --recursive
    Convert recursively.

-s SHEETID, --sheet=SHEETID
    Sheet to convert (0 for all sheets).

-h, --help
    Display short help and exit.

--version
    Display program's version number and exit.

ENVIRONMENT
None.

FILES
None.

SEE ALSO
catdoc(1)

AUTHORS
Program was written by Dilshod Temirkhodjaev <tdilshod@gmail.com>

This manual page was written by Jari Aalto <jari.aalto@cante.net>. Released under license GNU GPL version 2 or (at your option) any later version. For more information about the license, visit <http://www.gnu.org/copyleft/gpl.html>.